package com.sonic.lion.enums;

/**
 * @author: code
 * @date: 2025/06/05
 * @Description:
 * @version: 1.0.0
 */
public enum BindDataType {

    BANK_ACCOUNT(1, "BANK_ACCOUNT"),

    BANK_CARD(2, "BANK_CARD"),

    PAYPAL(3, "PAYPAL"),
    ;

    private final int value;

    private final String desc;

    BindDataType(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public BindDataType get(int value) {
        for (BindDataType bindDataType : values()) {
            if (bindDataType.getValue() == value) {
                return bindDataType;
            }
        }
        return null;
    }
}
